Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.CaseSensitivity

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.CaseSensitivity

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.CaseSensitivity

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static Qt.CaseSensitivity` | `CaseInsensitive` Value: CaseInsensitive
`static Qt.CaseSensitivity` | `CaseSensitive` Value: CaseSensitive

Method Summary
`static Qt.CaseSensitivity` | `resolve(int value)` Returns the CaseSensitivity constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.CaseSensitivity` | `valueOf(java.lang.String name)`
`static Qt.CaseSensitivity[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CaseInsensitive

    public static final Qt.CaseSensitivity CaseInsensitive

  Value: CaseInsensitive

### CaseSensitive

    public static final Qt.CaseSensitivity CaseSensitive

  Value: CaseSensitive

Method Detail

### values

    public static Qt.CaseSensitivity[] values()

### valueOf

    public static Qt.CaseSensitivity valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.CaseSensitivity resolve(int value)

  Returns the CaseSensitivity constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD